summaryrefslogtreecommitdiffstats
path: root/jjb/3rd_party_ci
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/3rd_party_ci')
-rw-r--r--jjb/3rd_party_ci/odl-netvirt.yml7
-rwxr-xr-xjjb/3rd_party_ci/postprocess-netvirt.sh11
2 files changed, 12 insertions, 6 deletions
diff --git a/jjb/3rd_party_ci/odl-netvirt.yml b/jjb/3rd_party_ci/odl-netvirt.yml
index 3dd4c0b44..ca1936156 100644
--- a/jjb/3rd_party_ci/odl-netvirt.yml
+++ b/jjb/3rd_party_ci/odl-netvirt.yml
@@ -3,7 +3,7 @@
project: 'netvirt'
- installer: 'apex'
+ installer: 'netvirt'
#####################################
# branch definitions
#####################################
@@ -123,6 +123,7 @@
predefined-parameters: |
FUNCTEST_SUITE_NAME=vping_userdata,bgpvpn
RC_FILE_PATH=/home/jenkins/cloner-info/overcloudrc
+ DEPLOY_SCENARIO=os-odl_l2-bgpvpn-noha
node-parameters: true
kill-phase-on: FAILURE
abort-all-job: false
@@ -166,9 +167,7 @@
block-level: 'NODE'
wrappers:
- - ssh-agent-credentials:
- users:
- - '{ssh-credentials}'
+ - ssh-agent-wrapper
- timeout:
timeout: 360
fail: true
diff --git a/jjb/3rd_party_ci/postprocess-netvirt.sh b/jjb/3rd_party_ci/postprocess-netvirt.sh
index adffaf42d..2e99477c5 100755
--- a/jjb/3rd_party_ci/postprocess-netvirt.sh
+++ b/jjb/3rd_party_ci/postprocess-netvirt.sh
@@ -2,6 +2,13 @@
set -e
# wipe the WORKSPACE
+if [ -z ${WORKSPACE} ]; then echo "WORKSPACE is unset"; else echo "WORKSPACE is set to \"$WORKSPACE\""; fi
+WORKSPACE=${WORKSPACE:-$PWD}
/bin/rm -rf $WORKSPACE/*
-
-echo "Hello World"
+set -e
+# clone opnfv sdnvpn repo
+git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
+. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
+pushd $LIB
+./post_process.sh
+popd \ No newline at end of file